Package com.sas.lsaf.security.membership

## Class MemberExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.security.membership.MembershipException
        - - com.sas.lsaf.security.membership.MemberExistsException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MemberExistsException
      extends MembershipException

  Thrown when a principal, or set of principals, is currently a member of the context.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemberExistsException​(java.util.Set<Principal> existingMembers, java.lang.String message)` | Constructs a `MemberExistsException` with the set of existing principals and and the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Principal>` | `getExistingMembers()` | Gets the set of principals that are members of the context.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberExistsException

          public MemberExistsException​(java.util.Set<Principal> existingMembers,
                                       java.lang.String message)

      Constructs a `MemberExistsException` with the set of existing principals and and the specified detail message.
      Parameters:
        `existingMembers` - the set of principals which are members.
        `message` - the detail message (which is saved for later retrieval by the `AbstractCheckedException.getMessage()` method).

  - ### Method Detail

    - #### getExistingMembers

          public java.util.Set<Principal> getExistingMembers()

      Gets the set of principals that are members of the context.
      Returns:
        The set of principals that are members of the context.